com.holonplatform.vaadin.flow.internal

## Class DefaultValidatableInputPropertyRenderer<T>

- java.lang.Object
- - com.holonplatform.vaadin.flow.internal.DefaultValidatableInputPropertyRenderer<T>

- Type Parameters:
    `T` - Property type
  All Implemented Interfaces:
    com.holonplatform.core.property.PropertyRenderer<ValidatableInput,T>

      @Priority(value=2147483647)
      public class DefaultValidatableInputPropertyRenderer<T>
      extends Object
      implements com.holonplatform.core.property.PropertyRenderer<ValidatableInput,T>

  Default `PropertyRenderer` to create `ValidatableInput` components.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.property.PropertyRenderer

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultValidatableInputPropertyRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends ValidatableInput>` | `getRenderType()`
    `ValidatableInput` | `render(com.holonplatform.core.property.Property<? extends T> property)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.property.PropertyRenderer

      `create`

- - ### Constructor Detail

    - #### DefaultValidatableInputPropertyRenderer

          public DefaultValidatableInputPropertyRenderer()

  - ### Method Detail

    - #### getRenderType

          public Class<? extends ValidatableInput> getRenderType()

      Specified by:
        `getRenderType` in interface `com.holonplatform.core.property.PropertyRenderer<ValidatableInput,T>`

    - #### render

          public ValidatableInput render(com.holonplatform.core.property.Property<? extends T> property)

      Specified by:
        `render` in interface `com.holonplatform.core.property.PropertyRenderer<ValidatableInput,T>`

Copyright © 2019 The Holon Platform. All rights reserved.